=== tests/ECMInstallIconsTest/v1-syntax-no-icons/CMakeLists.txt ===
ecm_install_icons(v1-icons-dummy)
