=== debian/changelog ===
kf6-extra-cmake-modules (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:13:30 +0200

kf6-extra-cmake-modules (6.13.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to disable fatal linker warnings as this makes KDE
    packages fail to build om arm64 due to the GCS warning (Closes:
    #1115108).

 -- Patrick Franz <deltaone@debian.org>  Sat, 20 Sep 2025 12:27:06 +0200
