## kf6-extra-cmake-modules 6.18.0+p24.04+vstable+git20250916.2320

=== debian/changelog ===
kf6-extra-cmake-modules (6.18.0+p24.04+vstable+git20250916.2320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 23:20:57 +0000

kf6-extra-cmake-modules (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 22:45:40 +0000
