## kf6-extra-cmake-modules 6.18.0+p24.04+vstable+git20250926.0455

=== debian/changelog ===
kf6-extra-cmake-modules (6.18.0+p24.04+vstable+git20250926.0455-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 04:55:22 +0000
