=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 %:
 	dh $@ --without build_stamp
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DBUILD_TESTING=OFF
+
 override_dh_auto_test:
 	# Disable dh_auto_test at build time
 	:
