## kf6-extra-cmake-modules 6.19.0+p24.04+vstable+git20251023.0045

=== debian/changelog ===
kf6-extra-cmake-modules (6.19.0+p24.04+vstable+git20251023.0045-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:45:12 +0000

kf6-extra-cmake-modules (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:45:27 +0000
