## kf6-extra-cmake-modules 6.19.0+p24.04+vstable+git20251024.0055

=== debian/changelog ===
kf6-extra-cmake-modules (6.19.0+p24.04+vstable+git20251024.0055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 00:55:16 +0000
