## kf6-extra-cmake-modules 6.19.0+p24.04+vunstable+git20251016.0043

=== debian/changelog ===
kf6-extra-cmake-modules (6.19.0+p24.04+vunstable+git20251016.0043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 00:43:44 +0000
