## kf6-extra-cmake-modules 6.19.0+p24.04+vunstable+git20251020.0108

=== debian/changelog ===
kf6-extra-cmake-modules (6.19.0+p24.04+vunstable+git20251020.0108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:08:18 +0000
